Loading...
Searching...
No Matches
Ogre::TerrainGroup::TerrainSlotDefinition Struct Reference

Definition of how to populate a 'slot' in the terrain group. More...

`#include <OgreTerrainGroup.h>`

## Public Member Functions

| TerrainSlotDefinition ()
| ~TerrainSlotDefinition ()
void | freeImportData ()
| Destroy temp import resources.
void | useFilename ()
| Set to use file name.
void | useImportData ()
| Set to use import data.

## Public Attributes

String | filename
| Filename, if this is to be loaded from a file.
Terrain::ImportData * | importData
| Import data, if this is to be defined based on importing.

## Detailed Description

Definition of how to populate a 'slot' in the terrain group.

## Constructor & Destructor Documentation

## TerrainSlotDefinition()

Ogre::TerrainGroup::TerrainSlotDefinition::TerrainSlotDefinition | ( |  | ) |

inline

References importData.

## ~TerrainSlotDefinition()

Ogre::TerrainGroup::TerrainSlotDefinition::~TerrainSlotDefinition | ( |  | ) |

## Member Function Documentation

## useImportData()

void Ogre::TerrainGroup::TerrainSlotDefinition::useImportData | ( |  | ) |

Set to use import data.

## useFilename()

void Ogre::TerrainGroup::TerrainSlotDefinition::useFilename | ( |  | ) |

Set to use file name.

## freeImportData()

void Ogre::TerrainGroup::TerrainSlotDefinition::freeImportData | ( |  | ) |

Destroy temp import resources.

## Member Data Documentation

## filename

String Ogre::TerrainGroup::TerrainSlotDefinition::filename

Filename, if this is to be loaded from a file.

## importData

Terrain::ImportData* Ogre::TerrainGroup::TerrainSlotDefinition::importData

Import data, if this is to be defined based on importing.

Referenced by TerrainSlotDefinition().

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h